@import "~bootstrap/scss/bootstrap";

.app {

    .titulo {
        h1 {
            margin-top: 30px;
            margin-bottom:30px;
        }
    }

    .tabla {
        border: 1px solid #000000;

        .encabezado,
        .contenido {
            .columna {
                padding: 5px 10px;
                border: 1px solid #000000;
                display: flex;
                align-items: center;
            }
        }

        .encabezado {
            background-color: #606060;
            color: #ffffff;
            font-weight: bold;
            font-size: 20px;
        }

        .acciones {
            .boton {
                width: 100%;
                margin: 0 auto;
            }
        }
    }

    .formulario {
        fieldset {
            border: 1px solid black;
        }

        form {
            display: flex;
            width: 100%;
            flex-direction: column;
            padding: 10px;

            input {
                -webkit-appearance: none;
            }

            input,
            select {
                border: 1px solid black;
                margin: 20px 0;
                padding: 10px;
                font-size: 22px;
            }

            label {
                font-size: 24px;
            }

            .acciones {
                justify-content: center;

                .boton {
                    width: 200px;
                }
            }
        }
    }

    .acciones {
        display: flex;

        .boton {
            width: auto;
            background-color: #1e4b57;
            font-size: 22px;
            text-decoration: none;
            color: #ffffff;
            text-align: center;
            -webkit-appearance: none;
            border: none;
            padding: 15px;
            display: block;

            &.mostrar {
                background-color: #2c6956;
            }

            &.editar {
                background-color: #3a1ead;
            }

            &.eliminar {
                background-color: #d6876d;
            }
        }
    }
}
